<?php
    class DB {
        private static $db_username 	= "c1newsletter";
        private static $db_password 	= "fgwgjMQ!4RD3";
        private static $db_host 		= "localhost";
        private static $db_name			= "c1newsletterdb";
        private static $db;

        function __construct() {
            try {
                self::$db = new PDO("mysql:host=" . self::$db_host . ";dbname=" . self::$db_name,  self::$db_username , self::$db_password);
            } catch(PDOException $e) {
                echo "Datenbankverbindung gescheitert!";
                die();
            }
        }

        function subscribeToNewsletter($name, $email, $optin_key) {
            $stmt = self::$db->prepare("INSERT INTO newsletter_user (name, email, optin_key) VALUES(:name, :email, :optin_key)");
            $stmt->bindParam(":name", $name);
            $stmt->bindParam(":email", $email);
            $stmt->bindParam(":optin_key", $optin_key);

            if($stmt->execute() && $stmt->rowCount()) {
                return true;
            } else {
                return false;
            }
        }

        function confirmOptinKey($optin_key) {
            $stmt = self::$db->prepare("UPDATE newsletter_user SET bestaetigt=1 WHERE optin_key=:optin_key");
            $stmt->bindParam(":optin_key", $optin_key);

            if($stmt->execute() && $stmt->rowCount()) {
                return true;
            } else {
                return false;
            }
        }

        function checkConfirmOptinKey($optin_key) {
            $stmt = self::$db->prepare("SELECT email, bestaetigt FROM newsletter_user WHERE optin_key=:optin_key");
            $stmt->bindParam(":optin_key", $optin_key);

            if($stmt->execute()) {
                return $stmt->fetch();
            } else {
                return false;
            }
        }

        function getAllConfirmedNewsletterEmails() {
            $stmt = self::$db->prepare("SELECT email, name FROM newsletter_user WHERE bestaetigt=1");

            if($stmt->execute()) {
                return $stmt->fetchAll(PDO::FETCH_ASSOC);
            } else {
                return false;
            }
        }
    }