<?php
    require_once 'database.php';
    $db = new DB();

    if($_POST['eintragen']) {
        $name = $_POST['name'];
        $email = $_POST['email'];
        $optin_key = sha1(uniqid());

        if($db->subscribeToNewsletter($name, $email, $optin_key)) {
            $betreff    = "Bitte bestätige deine Newsletter-Anmeldung bei TutCubeDE";
            $header     = [
                'From' => 'TutCubeDE <info@tutcube.de>',
                'Reply-To' => 'info@tutcube.de',
                'Content-Type' => 'text/html'
            ];
            $inhalt     = " Hey du!
                            <br />
                            Cool, dass du Dich für den Newsletter angemeldet hast.
                            <br /><br />
                            Bitte bestätige kurz mit Klick auf folgenden Link deine Anmeldung für den besten Newsletter 
                            der Welt: 
                            <a href='https://tutcube.de/dev/newsletter/newsletter_confirm.php?key=" . $optin_key . "'>
                                http://tutcube.de/dev/newsletter/newsletter_confirm.php?key=" . $optin_key . "
                            </a>
                            ";

            if(mail($email, $betreff, $inhalt, $header)) {
                echo "Vielen Dank! Wir haben Dir eine Mail gesendet. Bitte bestätige die Anmeldung!";
            } else {
                echo "Leider konnten wir Dir gerade keine Mail senden, da ist wohl etwas schief gelaufen :(";
                // @todo Datensatz aus Datenbank löschen
            }
        } else {
            echo "Leider trat ein Problem beim Eintragen in den Newsletter auf. Bitte probiere es später erneut! :(";
        }
    }
?>

<html>
    <head>
        <title>Newsletter</title>
        <meta charset="UTF-8"> 
        <link rel="stylesheet" type="text/css" href="style.css">
    </head>
    <body>
        <div id="wrapper" class="shadow">
            <h1>Zum Newsletter anmelden</h1>
            <form action="index.php" method="POST">
                <table border="0">
                    <tr>
                        <td>Name:</td>
                        <td><input type="text" name="name" required /></td>
                    </tr>
                    <tr>
                        <td>E-Mail:</td>
                        <td><input type="email" name="email" required /></td>
                    </tr>
                    <tr>
                        <td colspan="2"><input type="checkbox" name="datenschutz" value="datenschutz_ok" required /> Mit Anmeldung zum Newsletter stimme ich den Datenschutzbestimmungen zu. Der Newsletter wird ausschließlich dazu verwendet, Dich über neue Inhalte von TutCubeDE zu informieren. Gelegentlich können auch interessante Inhalte von oder über TutCubeDE verteilt werden.</td>
                    </tr>
                    <tr>
                        <td colspan="2"><input type="submit" value="Eintragen" name="eintragen" /></td>
                    </tr>
                </table>
            </form>
        </div>
    </body>
</html>